/*
**	Copyright 2000 Be Incorporated. All Rights Reserved.
**	This file may be used under the terms of the Be Sample Code 
**	License.
*/

#include <InterfaceKit.h>

const int32 TOOLBAR_SAVE_MSG = 'tbSV';

class ToolBar : public BView
{

public:
	ToolBar(BRect barRect, char *name);
	virtual void AttachedToWindow();
	virtual void Draw(BRect drawRect);

private:
	void InitPrivateButtons();
};

/****************************/

class ButtCon : public BButton
{
public:
	ButtCon(BRect frame, const char *name, BMessage *message);
	virtual void AttachedToWindow();

	~ButtCon();

	void Draw(BRect dRect);
private:
	BBitmap		*fKeyCap;
	BBitmap		*fPressedKeyCap;
};


